package evenodd;

import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.FileInputFormat;
import org.apache.hadoop.mapred.FileOutputFormat;
import org.apache.hadoop.mapred.JobClient;
import org.apache.hadoop.mapred.JobConf;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.Reducer;
import org.apache.hadoop.mapred.TextInputFormat;
import org.apache.hadoop.mapred.TextOutputFormat;

public class EvenOdd {

	public static void main(String[] args) {
		JobClient client = new JobClient();
		JobConf conf = new JobConf(evenodd.EvenOdd.class);



		
		// TODO: specify input and output DIRECTORIES (not files)
		FileInputFormat.addInputPath(conf, new Path("/user/hadoop/evenodd/in"));
		FileOutputFormat.setOutputPath(conf, new Path("/user/hadoop/evenodd/out"));

		// TODO: specify a mapper
		conf.setMapperClass(evenodd.EvenOddMapper.class);

		// TODO: specify a reducer
		conf.setReducerClass(evenodd.EvenOddReducer.class);
		
		// TODO: specify output types
		
		conf.setOutputKeyClass(Text.class);
		conf.setOutputValueClass(IntWritable.class);

		client.setConf(conf);
		try {
			JobClient.runJob(conf);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
